Thoughtful, detailed coverage of the Mac, iPhone, and iPad, plus the best-selling Take Control ebooks.

Apple Support for Snow Leopard Wanes

Send Article to a Friend

When is it time to make the jump to a new version of Mac OS X? You can upgrade any time, assuming your hardware and essential software are compatible. But what if you see no benefit in upgrading? How long can you wait?

Throughout Apple’s entire history, the one activity that always forces an operating system upgrade is buying a new Mac. Macs have always come with the latest version of the operating system, and seldom has it been possible to downgrade in any real way. This is both sensible and intentional — Apple can better take advantage of new hardware capabilities if it doesn’t also have to maintain backward compatibility, and just testing new software on old hardware has significant costs.

But no longer can you sit forever on a perfectly functional combination of a Mac and Mac OS X, at least not if you use the Internet. While it has created great good in our lives, connecting to the Internet also makes us vulnerable to digital exploitation, and the security fixes that Apple provides for Mac OS X and key apps like Safari and Mail are necessary for reducing that vulnerability. The longer you use an unpatched version of Mac OS X, the higher the risk that you could suffer data loss, financial attack, or even identity theft.

For many years, Apple maintained an “n-1” policy with regard to security fixes, updating the current version of Mac OS X and issuing a security update for the previous one. So, when Apple released Mac OS X 10.6.7 for Snow Leopard, the company also rolled out Security Update 2011-001 for 10.5 Leopard. Starting with 10.8 Mountain Lion, Apple extended that to “n-2” to protect both 10.7 Lion and 10.6 Snow Leopard, most recently releasing Security Update 2013-004 for both operating systems in September 2013.

Apple never explained the change, but it may have had to do with supporting older Intel-based Macs that customers held onto in order to run PowerPC-compatible apps via Rosetta. Rosetta went away with the release of Lion, forcing many customers to delay upgrades until new versions of key apps were released (see “Preparing for Lion: Find Your PowerPC Applications,” 6 May 2011).

We’re now at 10.9 Mavericks, and while Apple has maintained the “n-2” policy surrounding security updates, that means support for 10.8 Mountain Lion and 10.7 Lion, with 10.6 Snow Leopard apparently pushed off the back of the truck. The recent Security Update 2014-001 isn’t available for Snow Leopard, and while Apple also released Safari 6.1.2 for Mountain Lion and Lion, Snow Leopard can run only Safari 5. (Luckily, Google Chrome and Firefox both remain compatible with Snow Leopard and continue to receive updates; both are safer choices for the Snow Leopard user.)

As always, Apple has said nothing official about Snow Leopard support; it’s entirely possible that the company could release another security update for it if the vulnerability in question were sufficiently widespread and damaging.

So does all this mean you must upgrade from Snow Leopard immediately? Not necessarily. The security vulnerabilities fixed in Security Update 2014-001 may not even affect Snow Leopard. In a careful reading of the security update’s release notes, none of the vulnerabilities struck me as particularly worrying for the Snow Leopard user. In particular, the major SSL/TLS vulnerability that affected Mavericks, iOS, and Apple TV doesn’t appear to be a problem for Snow Leopard (see “10.9.2 Fixes Critical SSL Security Bug, Adds FaceTime Audio,” 25 February 2014). Realistically, if you don’t run Apache or PHP under Snow Leopard, and you maintain safe browsing habits (stick to mainstream sites, don’t download unknown content, and be generally cautious), I think the likelihood of trouble is low.

Part of the reason for that is that most Mac users are running Mavericks now, so those running older versions of Mac OS X aren’t as compelling targets for online criminals. How many people are still running Snow Leopard? According to NetApplications, it could be nearly 1 in 5 Mac users, although other stats, such as those from The Omni Group, put it at more like 1 in 12. More broadly, even the NetApplications stats put Snow Leopard at only 1.4 percent of the overall Internet user base.

So, if you’re still running Snow Leopard, what should you do? The first option is nothing. It’s a risk, but probably not a huge one, and sometimes we choose convenience over safety — do you perform a basic safety check on your car before every trip? Didn’t think so.

To reduce that risk, you can upgrade to Mavericks for free via the Mac App Store, assuming your hardware supports it. Here’s a list of supported models; to find out what you have, choose About This Mac from the Apple menu, and then click the More Info button. For full instructions, read Joe Kissell’s “Take Control of Upgrading to Mavericks.”

  • iMac (Mid 2007 or newer); aka iMac7,1 or newer
  • MacBook (13-inch Aluminum, Late 2008; or 13-inch Early 2009 or newer); aka MacBook5,1 or newer
  • MacBook Air (Late 2008 or newer); aka MacBookAir2,1 or newer
  • MacBook Pro (13-inch, Mid-2009 or newer; 15-inch, Mid/Late 2007 or newer; or 17-inch, Late 2007 or newer); aka MacBookPro3,1 or newer
  • Mac mini (Early 2009 or newer); aka Macmini3,1 or newer
  • Mac Pro (Early 2008 or newer); aka MacPro3,1 or newer
  • Xserve (Early 2009); aka Xserve3,1 or newer

Given the fixes in 10.9.2, going all the way to Mavericks makes the most sense to me, but it’s also possible to upgrade just to Mountain Lion if you have concerns about Mavericks. The two share the same hardware requirements, so if your Mac is on the list above, it can also run Mountain Lion. It costs $19.99 from the Apple Store, and Apple will send you a Mac App Store redemption code via email. Again, check out “Take Control of Upgrading to Mountain Lion” for details.

Some older Macs can run Lion, but not Mountain Lion. In my opinion, hardware limitations are the only reason to run Lion; Mountain Lion and Mavericks are both better otherwise. Lion requires at least an Intel Core 2 Duo processor. Not sure what processor your Mac has? Choose About This Mac from the Apple menu and look at what the Processor line says. Look for Intel Core 2 Duo, Core i3, Core i5, Core i7, or Xeon. Anything else — specifically, “Core Duo” (without the 2) or “Core Solo” — and you won’t be able to run even Lion. Should you be able to and wish to upgrade to Lion, though, you can purchase a $19.99 redemption code for the Mac App Store, and “Take Control of Upgrading to Lion” has instructions.

Finally, budget permitting, you can simply buy a new Mac, which will come with Mavericks pre-installed. And although I know you’re pretty happy with your older Mac running Snow Leopard, I can guarantee that Macs have come a long way in the intervening 3–5 years, with notably improved performance, screens, and battery life. I’ve never felt that a new Mac was a step backwards from the one it replaced, and I doubt you will either.

Check out the Take Control ebooks that expand on the topic in this article:

Upgrade to Lion successfully with Joe Kissell's advice, gained through countless test installs. Learn what to do if you can't download from the App Store, avoid problems, and perform key post-upgrade tasks. Covers upgrading from Tiger or Leopard, Lion Server installation basics, migrating to a new Mac, and Recovery mode.
Install OS X 10.9 Mavericks on your Mac easily and learn what to do immediately after you install with Joe Kissell’s expert help, informed by countless test installs! Find essential advice on problem prevention, prepping your disk, and picking the best installation method. Joe also covers troubleshooting techniques, and what to do if your “upgrade” is a new Mac.
Make the move to Mountain Lion with Joe Kissell’s expert advice! Sort out compatibility issues, deal with Apple IDs, make a suitable backup, and pick your upgrade plan — including a clean install. You’ll also learn about key post-upgrade tasks, what to do if something goes terribly wrong, and how to “upgrade” to Mountain Lion while moving from an older Mac or Windows PC.

 

CrashPlan is easy, secure backup that works everywhere. Back up
to your own drives, friends, and online with unlimited storage.
With 30 days free, backing up is one resolution you can keep.
Your life is digital; back it up! <http://tid.bl.it/code42-tb>
 

Comments about Apple Support for Snow Leopard Wanes
(Comments are closed.)

Mike Brown  2014-03-05 15:34
I'm still using Leopard! I thought at the time that I would be losing Rosetta so I didn't upgrade. I really don't know what I would do with out programs like Canvas 9. I use that all the time. I am also still using the internet with care. So far, ok. And with iFixIt and OWC I expect that this computer will work for quite a while.
I have a mac that can upgrade to Mavericks but no farther. But, I will never upgrade (other than upgrading to Snow Leopard. But I may buy another mac because most software companies are letting go of Snow Leopard let alone Leopard!
But on the other hand, I have not lost any time playing with new programs.
I also have a PowerPC. There are still some programs on the old original mac system.
Adam Engst  An apple icon for a TidBITS Staffer 2014-03-06 06:51
Nothing wrong with keeping an older Mac in service for specific uses while buying a new Mac for everyday use!

But yes, Snow Leopard is a distinct improvement on Leopard.
B. Jefferson Le Blanc  2014-03-12 02:42
Even with Mavericks it still pays to use the Internet with care. Though, starting with Lion, Apple began to take security more seriously, their strategies are not bulletproof.

If your Mac will take Mavericks, there is no knowing if it will support the next version of OS X. In MacTracker, all the Macs I could find listed as coming with Leopard in 2009 can take "the latest version of OS X", which is currently OS X 10.9.x. That may change, of course, but there's no reason for you to feel constrained in that regard right now.

The biggest hurdle for an older (Intel Core 2 duo) Mac upgrading beyond Snow Leopard is RAM. OS X 10.7 requires a minimum of 2GB of RAM. Some older Macs came with only 1GB, though they can be upgraded fairly inexpensively (except of Mac Pros, for which RAM is still pricy).

Nevertheless, to get the most out of Mavericks it's probably a good idea to buy a new Mac if the one you're currently using is four or five years old. The architecture in the latest Macs has been improved substantially. In particular, SSDs and Fusion drives really amp up performance. The system bus and RAM speed are faster. Not to mention connectivity with USB 3 and Thunderbolt. And RAM capacity is also greater - a Mac mini can now take up to 32GB of RAM. Then there are the new GPUs with oodles of VRAM and the ability to improve application performance in programs like Adobe Photoshop CS6, designed to take advantage of those resources.

As for Canvas, you may be stuck with your old Mac for awhile. ACD is rumored to be working on a new Mac version, but it's anybody's guess when, or even it, it will arrive.

Adam Engst  An apple icon for a TidBITS Staffer 2014-03-12 07:04
And to be clear, you can still buy Snow Leopard from Apple for $19.99.

http://store.apple.com/us/product/MC573Z/A/mac-os-x-106-snow-leopard
Mike Brown  2014-03-13 10:47
Thanks for the info on where to buy and for the help from the others as well. Thats really cheep. Less expensive than it originally was. By the way, I have a 13" Unibody Model A1278 MacBook with MacBook5,1 2.4 GHz Intel Core 2 Duo. I have 2 GB Memory. And I have a 1 TB drive that I use for backup with Time Machine. So I could upgrade to Mavericks but with only 2 GB of ram I would think it would run slow. But the biggest drawback would by the lost of specific programs.

The only other answer would be to get a second external drive and run Mavericks from that.
My 10.6.8 iMac crashed middle of Dec. I had to buy a new one and got one w/Mavericks because the older versions that were still available didn't have as much storage. I'd give anything to have chosen an older one that could still run 10.8.6. I have gained nothing from the new operating system. I don't use Mail anymore because it doesn't always send when it says it did. Magic mouse is useless in zoomable maps. Lost use of Appleworks and a version of Quicken that was reportedly better. Even basic functions like displaying Finder windows is erratic. At times, the left side in list view is truncated so that the file name is unavailable. Lots more but tired of talking about it. Apple's making fortunes daily so that's all that matters. No longer a fan.
Adam Engst  An apple icon for a TidBITS Staffer 2014-03-06 06:52
If you really do rely on PowerPC apps via Rosetta, buying a used Mac that can run Snow Leopard (and adding more storage - that's easy) would seem to be a good approach.
As far as I am concerned, Apple "screwed up" by dropping Rosetta after Snow Leopard.
Now for those of you who wish to "jump down my throat" and tell me to get over it and move on, I have been moving on longer than some of you have had your hands on a computer.
I have purchased new the following: Classic II, LC 550, G3 All-In-One, G4 Mirrored Drive Door, PB190, PB3400, MacBook Pro 15"(2008), and 2 MacBook Pro 13" Core i5's. And prior to all this, an Apple IIGS. And guess what, other than the Classic II, they all still run!!!
So whats my "beef"? I still use Appleworks. It was/is a great productivity suite with the following modules: Word Processing, Spreadsheet, Database, Drawing, Painting, Presentation.
I could use iWork except Numbers does not allow the locking of cells. Excel is my other option but it is not as friendly as good old Appleworks. Filemaker is just too expensive for what I need for a Database application.
I have Mountain Lion on a partition on the MBP 13's, and Mavericks on an external, so I have moved on. I have used every OS from 7.1 to the current OS. I'll continue to use Snow Leopard or one of the other OS systems till I "croak". Thankfully, Apple products last !!!
The Old Shop Teacher
mark_paul  2014-03-11 02:57
I'm enormously grateful for this very complete response to the question I posted after last week's e-mail about the Security Update.

Glad to hear that a 2.66 GHz Core 2 Duo still has enough juice to run Mavericks. There was a time when CPUs couldn't handle +2 OS upgrades.
Adam Engst  An apple icon for a TidBITS Staffer 2014-03-11 10:56
You're welcome. It's not a trivial question (more RAM and CPU power are always better, and your Mac is on the old side), but I think Mavericks is probably your best bet.

I wouldn't recommend spending money on RAM or an SSD to improve performance of your existing Mac at this time; it makes more sense to put those funds toward the future purchase of a new Mac.
David Lyles  2014-03-11 10:14
"Here’s a list of supported models; to find out what you have, choose About This Mac from the Apple menu, and then click the More Info button."

Um, no. Doesn't list the date, e.g. iMac mid-2007 or newer. Mine says Model Identifier iMac7,1.
Adam Engst  An apple icon for a TidBITS Staffer 2014-03-11 10:43
Ach, sorry, forgot that Snow Leopard's version of that information was different, since I don't have a Snow Leopard machine running here any more. Here's the equivalent list of machines compatible with Mavericks and Mountain Lion (taken from "Take Control of Upgrading to Mountain Lion," which explains this in more detail):

• iMac7,1 or newer
• MacBook5,1 or newer
• MacBookAir2,1 or newer
• MacBookPro3,1 or newer
• Macmini3,1 or newer
• MacPro3,1 or newer
• Xserve3,1 or newer

I've added this information to the list in the article too.
Alan Webster  2014-03-11 22:28
Thanks for the update. It really helps those of us with Snow Leopard know if we can update.
David Lyles  2014-03-11 10:25
I'm resigned to having to give up Eudora, and downgrading to Apple Mail. But I need a replacement for the Draw component of Appleworks. Cost is an issue, as is not having to learn a significantly different user interface and tool set. Any suggestions where to start looking? TIA.
Josh Centers  An apple icon for a TidBITS Staffer 2014-03-11 10:43
There are a few options:

eazydraw has compatibility with AppleWorks documents:

http://www.eazydraw.com/

Sketch is probably the best Adobe Illustrator alternative out there:

http://www.bohemiancoding.com/sketch/

There's the open-source Inkscape, which I don't recommend, but it's free:

http://www.inkscape.org/en/

Google Docs also has built-in drawing tools:

http://googledocs.blogspot.com/2010/04/introducing-google-docs-drawings.html
David Lyles  2014-03-11 14:13
Thank you. Will go and investigate . . .
David Lyles  2014-03-11 14:23
Oh, one more thing (voice of Columbo here) . . .
as part of my weaning myself from AppleWorks before I leave Snow Leopard behind, I have tried several times over the past two years to purchase the standalone Pages09 app for my iMac. IIRC, after being informed that my trial period is up I'm directed to Apple's web site, which doesn't offer it for Snow Leopard, but tries to sell me a later version which is incompatable. Is this indeed the case, that there's no Pages for Snow Leopard users?
B. Jefferson Le Blanc  2014-03-12 03:01
Look for older versions of iWork on ebay.
Adam Engst  An apple icon for a TidBITS Staffer 2014-03-12 08:13
I think you need to find an older DVD version and eBay may indeed be your best bet.
Andrew James  2014-03-20 16:15
For some of us, Rosetta compatibility is still needed so Snow Leopard has to remain in the mix. Fortunately, Snow Leopard can be run in a virtual machine on a later Mac OS X machine.

I'm soon to test this myself as my Rosetta requirements are essential but infrequent, and I'd like to avail myself of iCloud benefits in Mavericks plus have tier one security support.